# $Revision: 1.27 $, $Date: 2011/02/04 18:23:39 $
Summary:	Synchronization for GNOME
Summary(pl.UTF-8):	Synchronizacja dla GNOME
Name:		conduit
Version:	0.3.17
Release:	4
License:	GPL v2
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/conduit/0.3/%{name}-%{version}.tar.bz2
# Source0-md5:	0c94b2b980e26ea71a470683bbd6a45f
URL:		http://www.conduit-project.org/
BuildRequires:	dbus-devel >= 0.93
BuildRequires:	docbook-dtd412-xml
BuildRequires:	gettext-devel
BuildRequires:	gnome-doc-utils
BuildRequires:	intltool
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.4
BuildRequires:	python-dateutil
BuildRequires:	python-dbus
BuildRequires:	python-pygoocanvas >= 0.8.0
BuildRequires:	python-pygtk-devel >= 2:2.10
BuildRequires:	python-vobject
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	hicolor-icon-theme
%pyrequires_eq	python-modules
Requires:	pydoc
Requires:	python-PyXML
Requires:	python-dateutil
Requires:	python-gdata
Requires:	python-gnome-desktop-evolution
Requires:	python-pygoocanvas >= 0.8.0
Requires:	python-pygtk-gtk >= 2:2.10
Requires:	python-vobject
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Conduit is a synchronization solution for GNOME which allows the user
to take their emails, files, bookmarks, and any other type of personal
information and synchronize that data with another computer, an online
service, or even another electronic device.

Conduit manages the synchronization and conversion of data into other
formats. For example, conduit allows you to;
 - Synchronize your tomboy notes to a file on a remote computer
 - Synchronize your emails to your mobile phone
 - Synchronize your bookmarks to delicious, gmail, or even your own
   webserver

%description -l pl.UTF-8
Conduit to narzędzie do synchronizacji dla GNOME, pozwalające
użytkownikowi pobierać swoje listy elektroniczne, pliki, zakładki i
inne rodzaje informacji osobistych oraz synchronizować te dane z innym
komputerem, usługą online albo nawet innym urządzeniem elektronicznym.

Conduit zarządza synchronizacją i konwersją danych do innych formatów.
Pozwala na przykład:
 - synchronizować notatki tomboya z plikiem na zdalnym komputerze
 - synchronizować listy elektroniczne z telefonem komórkowym
 - synchronizować zakładki z delicious, gmailem albo nawet własnym
   serwerem WWW

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -rf $RPM_BUILD_ROOT%{_iconsdir}/hicolor/26x26

%py_postclean

%find_lang %{name} --with-gnome --with-omf

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor

%postun
%update_icon_cache hicolor

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/conduit
%attr(755,root,root) %{_bindir}/conduit-client
%attr(755,root,root) %{_bindir}/conduit.real
%dir %{_libdir}/conduit
%{_libdir}/conduit/modules
%{_desktopdir}/conduit.desktop
%dir %{_datadir}/conduit
%{_datadir}/conduit/*.png
%{_datadir}/conduit/*.ui
%{_datadir}/dbus-1/services/*.service
%{_iconsdir}/hicolor/*/*/*.png
%{_iconsdir}/hicolor/*/*/*.svg
%dir %{py_sitescriptdir}/conduit
%{py_sitescriptdir}/conduit/*.py[co]
%dir %{py_sitescriptdir}/conduit/dataproviders
%{py_sitescriptdir}/conduit/dataproviders/*.py[co]
%dir %{py_sitescriptdir}/conduit/datatypes
%{py_sitescriptdir}/conduit/datatypes/*.py[co]
%dir %{py_sitescriptdir}/conduit/gtkui
%{py_sitescriptdir}/conduit/gtkui/*.py[co]
%dir %{py_sitescriptdir}/conduit/hildonui
%{py_sitescriptdir}/conduit/hildonui/*.py[co]
%dir %{py_sitescriptdir}/conduit/platform
%{py_sitescriptdir}/conduit/platform/*.py[co]
%dir %{py_sitescriptdir}/conduit/utils
%{py_sitescriptdir}/conduit/utils/*.py[co]

#%files devel
%{_pkgconfigdir}/conduit.pc

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: conduit.spec,v $
Revision 1.27  2011/02/04 18:23:39  wiget
- Requires(post,postun): gtk-update-icon-cache

Revision 1.26  2010/07/09 11:14:06  arekm
- release 3

Revision 1.25  2010/07/08 07:42:14  arekm
- release 2

Revision 1.24  2010/06/03 12:16:46  sparky
- BR: docbook-dtd412-xml, gettext-devel, gnome-doc-utils, intltool, python-dbus

Revision 1.23  2010/05/28 14:00:30  caleb
- Up to 0.3.17

Revision 1.22  2008/10/22 16:52:53  patrys
- 0.3.15

Revision 1.21  2008/10/03 17:41:30  arekm
- release 2

Revision 1.20  2008/08/31 12:53:14  patrys
- 0.3.14

Revision 1.19  2008/08/06 07:42:04  patrys
- proper evo requirement (part of python-gnome-desktop since 2.22)

Revision 1.18  2008/08/05 19:00:14  patrys
- 0.3.13.1

Revision 1.17  2008/07/25 12:42:47  patrys
- 0.3.12

Revision 1.16  2008-06-03 23:56:31  patrys
- 0.3.11.2

Revision 1.15  2008-05-02 06:20:33  aredridel
- 0.3.10

Revision 1.14  2008-03-19 18:19:02  patrys
- drop 26x26 icons
- rel 2

Revision 1.13  2008-03-19 11:46:04  patrys
- 0.3.9

Revision 1.12  2008-02-18 12:02:25  patrys
- 0.3.8

Revision 1.11  2008-02-14 11:08:05  patrys
- 0.3.7

Revision 1.10  2008-01-15 15:38:47  patrys
- 0.3.5

Revision 1.9  2008-01-07 19:51:18  qboosh
- update_icon_cache deps
- use find_lang --with-omf

Revision 1.8  2007-10-02 14:24:49  patrys
- add R: python-gdata

Revision 1.7  2007/10/02 13:45:22  patrys
- 0.3.4

Revision 1.6  2007/09/06 20:22:29  ankry
- tabs

Revision 1.5  2007/09/06 19:33:48  emes
- added Req pydoc, python-PyXML

Revision 1.4  2007/09/01 23:57:02  qboosh
- s/evolution-python/python-evolution/

Revision 1.3  2007/09/01 18:42:17  qboosh
- License, more deps

Revision 1.2  2007/09/01 18:19:19  qboosh
- cleanup, descs, pl

Revision 1.1  2007/08/30 05:44:40  aredridel
- added
